| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
cv::detail::tracking::TrackerSamplerCS Class Reference
Tracking API » Tracking API implementation details

TrackerContribSampler based on CS (current state), used by algorithm TrackerBoosting. More...

`#include <opencv2/tracking/tracking_internals.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerSamplerCS:

## Classes
struct | Params

## Public Types
enum | { MODE_POSITIVE = 1 , MODE_NEGATIVE = 2 , MODE_CLASSIFY = 3 }

## Public Member Functions
| TrackerSamplerCS (const TrackerSamplerCS::Params &parameters=TrackerSamplerCS::Params())
| Constructor.
| ~TrackerSamplerCS ()
Rect | getROI () const
bool | samplingImpl (const Mat &image, Rect boundingBox, std::vector< Mat > &sample) CV_OVERRIDE
void | setMode (int samplingMode)
| Set the sampling mode of TrackerSamplerCS.
Public Member Functions inherited from cv::detail::tracking::TrackerContribSamplerAlgorithm
virtual | ~TrackerContribSamplerAlgorithm ()
| Destructor.
String | getClassName () const
| Get the name of the specific TrackerContribSamplerAlgorithm.
virtual bool | sampling (const Mat &image, const Rect &boundingBox, std::vector< Mat > &sample) CV_OVERRIDE
| Computes the regions starting from a position in an image.
Public Member Functions inherited from cv::detail::tracking::TrackerSamplerAlgorithm
virtual | ~TrackerSamplerAlgorithm ()

## Additional Inherited Members
Static Public Member Functions inherited from cv::detail::tracking::TrackerContribSamplerAlgorithm
static Ptr< TrackerContribSamplerAlgorithm > | create (const String &trackerSamplerType)
| Create TrackerContribSamplerAlgorithm by tracker sampler type.
Protected Member Functions inherited from cv::detail::tracking::TrackerContribSamplerAlgorithm
Protected Attributes inherited from cv::detail::tracking::TrackerContribSamplerAlgorithm
String | className

## Detailed Description

TrackerContribSampler based on CS (current state), used by algorithm TrackerBoosting.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
MODE_POSITIVE | mode for positive samples
MODE_NEGATIVE | mode for negative samples
MODE_CLASSIFY | mode for classify samples

## Constructor & Destructor Documentation

## ◆ TrackerSamplerCS()

cv::detail::tracking::TrackerSamplerCS::TrackerSamplerCS | ( | const TrackerSamplerCS::Params & | parameters = TrackerSamplerCS::Params() | ) |

Constructor.

Parameters

  parameters | TrackerSamplerCS parameters TrackerSamplerCS::Params

## ◆ ~TrackerSamplerCS()

cv::detail::tracking::TrackerSamplerCS::~TrackerSamplerCS | ( |  | ) |

## Member Function Documentation

## ◆ getROI()

Rect cv::detail::tracking::TrackerSamplerCS::getROI | ( |  | ) | const

## ◆ samplingImpl()

bool cv::detail::tracking::TrackerSamplerCS::samplingImpl | ( | const Mat & | image,
|  | Rect | boundingBox,
|  | std::vector< Mat > & | sample )
| virtual

Implements cv::detail::tracking::TrackerContribSamplerAlgorithm.

## ◆ setMode()

void cv::detail::tracking::TrackerSamplerCS::setMode | ( | int | samplingMode | ) |

Set the sampling mode of TrackerSamplerCS.

Parameters

  samplingMode | The sampling mode

The modes are:

- "MODE_POSITIVE = 1" – for the positive sampling
- "MODE_NEGATIVE = 2" – for the negative sampling
- "MODE_CLASSIFY = 3" – for the sampling in classification step

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_internals.hpp